Bug 66414 - gnome-panel crash
gnome-panel crash
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: gnome-panel (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-06-10 01:03 EDT by Michal Jaegermann
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-02 14:52:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2002-06-10 01:03:47 EDT
Description of Problem:

While attempting a reconfiguration 'gnome-panel' crashes with the following
backtrace:

Backtrace was generated from '/usr/bin/gnome-panel'

(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...[New Thread 1024
(LWP 20398)]

0x4209d579 in wait4 () from /lib/i686/libc.so.6
#0  0x4209d579 in wait4 () from /lib/i686/libc.so.6
#1  0x42115168 in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x40837b43 in waitpid () from /lib/i686/libpthread.so.0
#3  0x401a95e5 in libgnomeui_module_info_get () from /usr/lib/libgnomeui-2.so.0
#4  0x4083939e in __pthread_sighandler () from /lib/i686/libpthread.so.0
#5  <signal handler called>
#6  0x4206e229 in free () from /lib/i686/libc.so.6
#7  0x4086ac04 in g_free () from /usr/lib/libglib-2.0.so.0
#8  0x40d1b617 in update_timeformat () from /usr/lib/libgen_util_applet-2.so
#9  0x40d1bb6f in refresh_clock_timeout ()
   from /usr/lib/libgen_util_applet-2.so
#10 0x4066e1af in notify_listeners_callback () from /usr/lib/libgconf-2.so.4
#11 0x406587e7 in notify_listener_list () from /usr/lib/libgconf-2.so.4
#12 0x4065896d in ltable_notify () from /usr/lib/libgconf-2.so.4
#13 0x4066e335 in notify_one_entry () from /usr/lib/libgconf-2.so.4
#14 0x4066e404 in gconf_client_flush_notifies () from /usr/lib/libgconf-2.so.4
#15 0x4066dff8 in notify_idle_callback () from /usr/lib/libgconf-2.so.4
#16 0x40867db3 in g_idle_dispatch () from /usr/lib/libglib-2.0.so.0
#17 0x40865085 in g_main_dispatch () from /usr/lib/libglib-2.0.so.0
#18 0x408660e8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#19 0x408663fd in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#20 0x40866b6f in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#21 0x403952ef in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#22 0x0805b881 in main ()
#23 0x420164a4 in __libc_start_main () from /lib/i686/libc.so.6

Thread 1 (Thread 1024 (LWP 20398)):
#0  0x4209d579 in wait4 () from /lib/i686/libc.so.6
No symbol table info available.
#1  0x42115168 in __DTOR_END__ () from /lib/i686/libc.so.6
No symbol table info available.
#2  0x40837b4[root@smok root]# rpm -qf /usr/bin/gnome-panel
gnome-panel-1.5.22-3
Comment 1 Havoc Pennington 2002-06-10 01:34:36 EDT
http://bugzilla.gnome.org/show_bug.cgi?id=84708
Comment 2 Havoc Pennington 2002-07-07 18:27:07 EDT
Upstream bug is fixed, need to check our packages.
Comment 3 Havoc Pennington 2002-08-02 14:52:45 EDT
Should be fixed in 2.0.3
Comment 4 Jay Turner 2002-08-19 09:41:47 EDT
I'm not seeing any crashes when reconfiguring gnome-panel-2.0.6-3.

Note You need to log in before you can comment on or make changes to this bug.